package demo;

import java.util.ArrayList;
import java.util.List;

import javax.faces.context.FacesContext;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;

public class SelectModel {

	private List<String> options;
	private List<SelectItem> optionItems;

	private long dummyValue = 100;
	static int counter = 5;

	public long getDummyValue() {
		return dummyValue;
	}

	public void setDummyValue(long dummyValue) {
		this.dummyValue = dummyValue;
	}

	public List getOptions() {
		if (options == null) {
			initOptions();
		}
		return options;
	}

	public void setOptions(List options) {
		this.options = options;
	}

	public List getOptionItems() {
		if (optionItems == null) {
			initOptions();
		}
		return optionItems;
	}

	

	/**
	 * chaque fois on ajoute une option dans la boite
	 * 
	 * @param event
	 */
	public void menuChanged(ValueChangeEvent event) {
		options.add("o" + counter);
		optionItems.add(new SelectItem("o" + counter, "Option " + counter));
		counter++;
		FacesContext.getCurrentInstance().renderResponse(); 
		// pour court-circuiter le cycle
	}

	public int getCounter() {
		return counter;
	}

	public String confirm() {
		System.out.println("confirmed");
		return "ok";
	}

	private void initOptions() {
		options = new ArrayList<String>();
		options.add("o1");
		options.add("o2");
		options.add("o3");
		options.add("o4");

		optionItems = new ArrayList<SelectItem>();
		optionItems.add(new SelectItem("o1", "Option 1"));
		optionItems.add(new SelectItem("o2", "Option 2"));
		optionItems.add(new SelectItem("o3", "Option 3"));
		optionItems.add(new SelectItem("o4", "Option 4"));
	}

}
