<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<f:loadBundle var="Message" basename="demo.Messages" />
<html>
<head>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=UTF-8" />
<title>LifeCycle test</title>
<link rel="stylesheet" type="text/css"
	href="<%= request.getContextPath() %>/css/basic.css" />
</head>
<body>
<f:view>
	<h:panelGroup id="body">
		<h:outputLabel styleClass="header18"
			value="ValueChangeListeners et validations" />
		<h:form id="f1">
			<h:panelGrid columns="3" border="1" rules="all">
				<h:panelGroup>
					<h:outputLabel value="foobar" for="ip1" />
					<f:verbatim>, une valeur entre 5 et 10</f:verbatim>
				</h:panelGroup>
				<h:inputText value="#{selectModel.dummyValue}" id="ip1"
					required="true">
					<f:validateLongRange minimum="5" maximum="10" />
				</h:inputText>
				<h:message id="foobarError" for="ip1" styleClass="error" />
				<h:selectOneMenu 
				value="o2" 
				immediate="true" 
				onchange="submit()" 
				valueChangeListener="#{selectModel.menuChanged}"
				styleClass="selectOneMenu">
					<f:selectItem itemLabel="choose" itemValue="" />
					<f:selectItems value="#{selectModel.optionItems}"/>
				</h:selectOneMenu>
				<h:outputText value="#{selectModel.counter}"></h:outputText>
				<h:commandButton action="#{selectModel.confirm}" value="ok"></h:commandButton>
			</h:panelGrid>
		</h:form>
	</h:panelGroup>
</f:view>
</body>
</html>